<?php

require_once dirname(dirname(__FILE__)).'/class/d3news.php' ;
require_once dirname(dirname(__FILE__)).'/class/d3newsgp.php' ;
require_once dirname(dirname(__FILE__)).'/class/d3newsTopic.php' ;
require_once dirname(dirname(__FILE__)).'/include/configs.inc.php' ;
require_once dirname(dirname(__FILE__)).'/include/common_functions.php' ;

$assing_array = array(
	'disp_rss_link' => $d3news_disp_rss_link,
	'mydirurl' => $mydirurl,
	'mydirname' => $mydirname,
	);

//権限クラス
$gperm = new D3newsGP;

// User has the right to post.
if($gperm->group_perm(1)){
	$assing_array['can_post'] = 1;
    $assing_array['sql_data'] = $gperm->sqldata;
}

// RSS Feed in <header>
$rss_feed = '<link rel="alternate" type="application/rss+xml" title="RSS2.0" href="'.$mydirurl.'/index.php?page=rss" />'
 

?>
